<div class="widget">
    <div class="title-bar" *ngIf="widgetHeader">
        <h3>{{widgetTitle}}</h3>
        <div class="ml-auto d-flex align-items-center">
            <div class="bi_buttons d-flex" *ngIf="BI_Container">
                <dx-button text="Cancel" type="normal"></dx-button><!-- Cancel Button -->
                <dx-button text="Save" type="normal" class="ml-1"></dx-button><!-- Save Button -->
                <dx-button text="View" type="normal" class="ml-1"></dx-button><!-- View Button -->
                <dx-button text="Publish" type="normal" class="ml-1"></dx-button><!-- Publish Button -->
                <dx-button text="Clone" type="normal" class="ml-1"></dx-button><!-- Clone Button -->
                <dx-button text="Click Here to add New Widget" type="normal" class="ml-1" (click)="addNewWidget()"></dx-button><!-- Clone Button -->
                <dx-button text="Add Widget" type="normal" class="ml-1" [class]="show_addWidgetPanel ? 'active':''"  (onClick)="show_addWidgetPanel = true; show_settingsPanel = false"></dx-button><!-- Add Button -->
                <dx-button text="Data Source" type="normal" class="ml-1"></dx-button><!-- Data Source Button -->
                <dx-button text="Settings" type="normal" class="ml-1"  [class]="show_settingsPanel ? 'active':''"  (onClick)="show_settingsPanel = true; show_addWidgetPanel = false"></dx-button><!-- Settings Button -->
            </div>

            <a *ngIf="collapse"  class="icon_btn ml-1"  (click)="collapsePanel = !collapsePanel" href="#" title=""> <i class="fa fa-minus"></i> </a>
            <a *ngIf="widgetItem"  class="icon_btn ml-1"  (click)="removeWidget()" href="#" title=""> <i class="fa fa-trash"></i> </a>
        </div>
    </div>
    <div class="content-wrapper"  [hidden]="!collapsePanel" [class]="{'p-0': NoPadding,  'hide_overflow' : overflowHide }"> 
        <ng-content></ng-content>


        <div class="sliding_panel"  [class]="show_addWidgetPanel ? 'active':''" id="addWidget_Panel"   *ngIf="BI_Container">
            <div class="sliding_panel_title"> <h4>Add Widget</h4> <a href="#" (click)="show_addWidgetPanel = false" class="cancel_sliding_panel" title=""> <i class="fa fa-times"></i> </a> </div>
            <div class="sliding_panel_content">
                <tabset #tabset class="theme_tab">
                    <tab heading="Custom"> 
                        <div class="widget_selector">
                            <span><i class="fa fa-chart-bar" style="font-size: 35px;"></i></span>
                            <div class="widget_info"> <h5>Chart</h5> <p>Navigate to the app will automatically reload if you change any of the source.</p></div>
                        </div><!-- Widget Selector -->
                        <div class="widget_selector">
                            <span><i class="fa fa-chart-bar" style="font-size: 35px;"></i></span>
                            <div class="widget_info"> <h5>Table</h5> <p>Navigate to the app will automatically reload if you change any of the source.</p></div>
                        </div><!-- Widget Selector -->
                        <div class="widget_selector">
                            <span><i class="fa fa-chart-bar" style="font-size: 35px;"></i></span>
                            <div class="widget_info"> <h5>Map</h5> <p>Navigate to the app will automatically reload if you change any of the source.</p></div>
                        </div><!-- Widget Selector -->
                        <div class="widget_selector">
                            <span><i class="fa fa-chart-bar" style="font-size: 35px;"></i></span>
                            <div class="widget_info"> <h5>Page</h5> <p>Navigate to the app will automatically reload if you change any of the source.</p></div>
                        </div><!-- Widget Selector -->
                        <div class="widget_selector">
                            <span><i class="fa fa-chart-bar" style="font-size: 35px;"></i></span>
                            <div class="widget_info"> <h5>Tab</h5> <p>Navigate to the app will automatically reload if you change any of the source.</p></div>
                        </div><!-- Widget Selector -->
                        <div class="widget_selector">
                            <span><i class="fa fa-chart-bar" style="font-size: 35px;"></i></span>
                            <div class="widget_info"> <h5>Web</h5> <p>Navigate to the app will automatically reload if you change any of the source.</p></div>
                        </div><!-- Widget Selector -->
                        <div class="widget_selector">
                            <span><i class="fa fa-chart-bar" style="font-size: 35px;"></i></span>
                            <div class="widget_info"> <h5>Playback</h5> <p>Navigate to the app will automatically reload if you change any of the source.</p></div>
                        </div><!-- Widget Selector -->
                    </tab><!-- Custom Tab -->
      
                    <tab heading="Library">
                        
                    </tab><!-- Library Tab -->
                  
                </tabset>

            </div>
        </div><!-- Add Widget Panel -->


        <div class="sliding_panel"  [class]="show_settingsPanel ? 'active':''" id="settingsPanel"   *ngIf="BI_Container">
            <div class="sliding_panel_title"> <h4>Settings</h4> <a href="#" (click)="show_settingsPanel = false" class="cancel_sliding_panel" title=""> <i class="fa fa-times"></i> </a> </div>
            <div class="sliding_panel_content">
            </div>
        </div><!-- Settings Panel -->

    </div>
</div>
